{
  "parser": "babel-eslint",
  "env": {
    "es6": true,
    "browser": true
  },
  "extends": ["eslint:recommended", "plugin:mdx/recommended", "airbnb", "airbnb/hooks"],
  "settings": {
    "import/resolver": {
      "node": {
        "paths": ["src"],
        "extensions": [".js", ".jsx", ".ts", ".tsx", ".mdx"]
      }
    }
  },
  "rules": {
    "comma-dangle": "off",
    "no-plusplus": "off",
    "import/no-unresolved": "off",
    "import/prefer-default-export": "off",
    "react-hooks/exhaustive-deps": "off",
    "react/jsx-curly-brace-presence": ["true",{"props":"ignore","children": "always"}],
    "react/jsx-filename-extension": "off",
    "react/jsx-no-duplicate-props":"false",
    "react/jsx-props-no-spreading": "true",
    "react/require-default-props": "off",
    "react/forbid-prop-types": "off",
    "jsx-a11y/click-events-have-key-events": "off",
    "jsx-a11y/no-static-element-interactions": "off",
    "jsx-a11y/control-has-associated-label": "off",
    "jsx-a11y/anchor-is-valid": "off",
    "max-len": "off",
    "object-curly-newline": "off",
    "linebreak-style": "off",
    "implicit-arrow-linebreak": "off",
    "function-paren-newline": "off",
    "camelcase": "off",
    "operator-linebreak": "off"
  }
}
